APT, the Advanced Packaging Tool, is Debian's high-level package management system. It is also used by several other Linux-based and Debian-based operating systems.

learn more… | top users | synonyms (1)

0
votes
3answers
325 views

installing mysql via apt-get with non-default data and logs directories

Is there a way to install mysqld via apt-get and have it a non default path for the data files? I know I can install it with the defaults and then move stuff (I've done that) but then I have about a ...
2
votes
2answers
450 views

Debian Squeeze: apt-get hangs on download packages from our local repository

hope you guys can help me find out a solution to this problem that's causing me headache. My company has a number of front end servers based upon Debian Squeeze, we also set up a local repository ...
1
vote
2answers
184 views

Why does apt-get install also upgrade unrelated packages?

I entered apt-get install sysstat, and not only was sysstat installed, but it also upgraded my version of Hbase. Am I missing something basic here, shouldn't apt-get install only install or upgrade ...
0
votes
2answers
52 views

GPG Key not available for Local Apt Repo

We have an Apt-mirror server. We have also a custom repo named 'local' on this server. If I add in sources.list the following line : deb http://aptmirror.example.com/local trusty main The ...
0
votes
2answers
492 views

ERROR Found no accessible config files for 'fail2ban' under /etc/fail2ban

So my fail2ban wasn't working and in attempts to make it work the config files got messy. Decided to start from scratch. I ran these as sudo apt-get remove fail2ban apt-get purge fail2ban rm -r ...
0
votes
2answers
1k views

Cannot upgrade PostgreSQL on Ubuntu

When I run apt-get upgrade, I get the following error : dpkg: dependency problems prevent configuration of postgresql-9.1: postgresql-client-9.1 (9.1.7-0ubuntu12.04) breaks postgresql-9.1 (<< ...
0
votes
2answers
330 views

how can i install php 5.35 using apt

i tried: apt-cache policy php5-dev and got Candidate: 5.3.2-1ubuntu4.7 How can i get the latest stable version (5.35) using apt, i understand i need to add a repository to my sources but how do ...
0
votes
2answers
111 views

Re install MySQL while ignoring all previous stuff

A few days ago I installed mysql-server on a machine and then discovered that it was putting it's data file on a partition without nearly enough room. So (because there was nothing I cared about in ...
0
votes
2answers
395 views

Ubuntu: unattended-upgrades from a local package archive

I have a local apt archive with a bunch of packages I built in it. The Packages and Release file are generated by apt-ftparchive. The Release file looks like Date: Thu, 06 May 2010 23:04:33 UTC ...
-1
votes
2answers
371 views

apt-get update failes to update

I am using Ubuntu 11.04 desktop edition mahcine. This machine is behind proxy server and content filter. I tried adding the following parameter in /etc/apt/apt.conf but it was not working after adding ...
0
votes
1answer
2k views

apt-get update can not connect

i run a dedicated ubuntu 10.04 server. i use kvm/libvirt/virsh to run a virtual machine that's also ubuntu 10.04. i bridged the network (1 of 2 IPs is routed via NAT to the LAN, where my VM ...
0
votes
1answer
301 views

Help with MPICH2 installation on Ubuntu Server

I'm trying to install MPICH2 on a ubuntu server installation (7.04 fiesty fawn). This is for a Beowulf cluster. I have so far been unable to install it for two reasons. 1) under the root account: ...
0
votes
1answer
459 views

Can't re-install Postgresql in Debian Squeeze

I just installed Debian Squeeze to work as a Postgresql server, but when I try to recover a backup something went wrong. After a search, I deleted the cluster (data dir) and uninstalled Postgresql. ...
0
votes
1answer
58 views

Apt Stalls When Using HTTP Sources

I was getting some to me inexplicable behavior from apt-get/aptitude on an admittedly crusty old webserver. While it was otherwise running fine, as soon as I tried a package upgrade, after a ...
0
votes
1answer
148 views

How do I use apt-file with the Debian installation media?

I have several servers that cannot reach the Internet and want to use apt-file on them. I've extracted the contents of the five DVD ISOs (for Lenny/amd64) and can use apt-update/apt-upgrade via HTTP. ...
-1
votes
1answer
30 views

Getting error while running apt-get update

I am getting the following error while running apt-get update on all of the servers. W: A error occurred during the signature verification. The repository is not updated and the previous index files ...